OGRE-Next: Ogre::v1::GL3PlusDefaultHardwareBufferManager Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::GL3PlusDefaultHardwareBufferManager Class Referencefinal

GL3PlusDefaultHardwareBufferManagerBase as a Singleton. More...

`#include <OgreGL3PlusDefaultHardwareBufferManager.h>`

Inheritance diagram for Ogre::v1::GL3PlusDefaultHardwareBufferManager:
[legend]

## Public Member Functions
| GL3PlusDefaultHardwareBufferManager ()
| ~GL3PlusDefaultHardwareBufferManager () override
Public Member Functions inherited from Ogre::v1::HardwareBufferManager
| HardwareBufferManager (HardwareBufferManagerBase *imp)
| ~HardwareBufferManager () override
void | _forceReleaseBufferCopies (const HardwareVertexBufferSharedPtr &sourceBuffer) override
| Internal method that forces the release of copies of a given buffer.
void | _forceReleaseBufferCopies (HardwareVertexBuffer *sourceBuffer) override
| Internal method that forces the release of copies of a given buffer.
void | _freeUnusedBufferCopies () override
| Free all unused vertex buffer copies.
void | _notifyIndexBufferDestroyed (HardwareIndexBuffer *buf)
| Notification that a hardware index buffer has been destroyed.
void | _notifyVertexBufferDestroyed (HardwareVertexBuffer *buf)
| Notification that a hardware vertex buffer has been destroyed.
void | _releaseBufferCopies (bool forceFreeUnused=false) override
| Internal method for releasing all temporary buffers which have been allocated using BLT_AUTOMATIC_RELEASE; is called by OGRE.
HardwareVertexBufferSharedPtr | allocateVertexBufferCopy (const HardwareVertexBufferSharedPtr &sourceBuffer, BufferLicenseType licenseType, HardwareBufferLicensee *licensee, bool copyData=false) override
| Allocates a copy of a given vertex buffer.
HardwareIndexBufferSharedPtr | createIndexBuffer (HardwareIndexBuffer::IndexType itype, size_t numIndexes, HardwareBuffer::Usage usage, bool useShadowBuffer=false) override
| Create a hardware index buffer.
HardwareVertexBufferSharedPtr | createVertexBuffer (size_t vertexSize, size_t numVerts, HardwareBuffer::Usage usage, bool useShadowBuffer=false) override
| Create a hardware vertex buffer.
VertexBufferBinding * | createVertexBufferBinding () override
| Creates a new VertexBufferBinding.
VertexDeclaration * | createVertexDeclaration () override
| Creates a new vertex declaration.
void | destroyVertexBufferBinding (VertexBufferBinding *binding) override
| Destroys a VertexBufferBinding.
void | destroyVertexDeclaration (VertexDeclaration *decl) override
| Destroys a vertex declaration.
void | registerVertexBufferSourceAndCopy (const HardwareVertexBufferSharedPtr &sourceBuffer, const HardwareVertexBufferSharedPtr &copy) override
| Registers a vertex buffer as a copy of another.
void | releaseVertexBufferCopy (const HardwareVertexBufferSharedPtr &bufferCopy) override
| Manually release a vertex buffer copy for others to subsequently use.
void | touchVertexBufferCopy (const HardwareVertexBufferSharedPtr &bufferCopy) override
| Tell engine that the vertex buffer copy intent to reuse.
Public Member Functions inherited from Ogre::v1::HardwareBufferManagerBase
| HardwareBufferManagerBase ()
virtual | ~HardwareBufferManagerBase ()
void | _notifyIndexBufferDestroyed (HardwareIndexBuffer *buf)
| Notification that a hardware index buffer has been destroyed.
void | _notifyVertexBufferDestroyed (HardwareVertexBuffer *buf)
| Notification that a hardware vertex buffer has been destroyed.
Public Member Functions inherited from Ogre::Singleton< HardwareBufferManager >
| ~Singleton ()

## Additional Inherited Members
Public Types inherited from Ogre::v1::HardwareBufferManagerBase
enum | BufferLicenseType { BLT_MANUAL_RELEASE , BLT_AUTOMATIC_RELEASE }
Static Public Member Functions inherited from Ogre::v1::HardwareBufferManager
static HardwareBufferManager & | getSingleton ()
| Override standard Singleton retrieval.
static HardwareBufferManager * | getSingletonPtr ()
| Override standard Singleton retrieval.
Static Public Member Functions inherited from Ogre::Singleton< HardwareBufferManager >
static HardwareBufferManager & | getSingleton ()
static HardwareBufferManager * | getSingletonPtr ()

## Detailed Description

GL3PlusDefaultHardwareBufferManagerBase as a Singleton.

## Constructor & Destructor Documentation

## ◆ GL3PlusDefaultHardwareBufferManager()

Ogre::v1::GL3PlusDefaultHardwareBufferManager::GL3PlusDefaultHardwareBufferManager | ( |  | ) |
| inline

References Ogre::v1::HardwareBufferManager::HardwareBufferManager(), and OGRE_NEW.

## ◆ ~GL3PlusDefaultHardwareBufferManager()

Ogre::v1::GL3PlusDefaultHardwareBufferManager::~GL3PlusDefaultHardwareBufferManager | ( |  | ) |
| inlineoverride

References OGRE_DELETE.

The documentation for this class was generated from the following file:

- OgreGL3PlusDefaultHardwareBufferManager.h